Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 17502)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 17503)
@@ -1,3 +1,2 @@
-
 // problème avec GMaps+diaporama:
 // corriger   gmaps_pip.class.inc.php ajouter ligne 90 if ( !isset($_GET['slideshow']))
@@ -7,14 +6,23 @@
   *  document ready
   ********************************************/
+
+
   jQuery(document).ready(function (jQuery) {
+
+
+
+
     var Type_Img;
     var theImg;
+    var Zone_image;
+
     /******************************************
     * Save_cookies
     ******************************************/
     Save_cookies = function (parametres) {
-      if (parametres.typeSave) document.cookie = 'picture_deriv=' + parametres.typeSave + ';path="' + "/" + '" ';
-      if (parametres.typeSave) jQuery.cookie('picture_deriv', parametres.typeSave, { path: "/" });
-      if (parametres.pictureMap) jQuery.cookie('picture_map', parametres.pictureMap, { path: "/" });
+      if (parametres.pictureDeriv) document.cookie = 'picture_deriv=' + parametres.pictureDeriv + ';path="' + "/" + '" ';
+
+      if (parametres.pictureDeriv) jQuery.cookie('picture_deriv', parametres.pictureDeriv, { path: "/" });
+      if (parametres.pictureMap) jQuery.cookie('picture_map', parametres.pictureDeriv, { path: "/" });
       if (parametres.imgSrc) jQuery.cookie('imgSrc', parametres.imgSrc, { path: "/" });
       if (parametres.theMainImageHeight) jQuery.cookie('theMainImageHeight', parametres.theMainImageHeight, { path: "/" });
@@ -23,10 +31,10 @@
       if (parametres.theImageWidth) jQuery.cookie('theImageWidth', parametres.theImageWidth, { path: "/" });
       if (parametres.windowHeight) jQuery.cookie('windowHeight', parametres.windowHeight, { path: "/" });
-      if (parametres.windowWidth) jQuery.cookie('windowWidth', parametres.WindowWidth, { path: "/" });
+      if (parametres.windowWidth) jQuery.cookie('windowWidth', parametres.windowWidth, { path: "/" });
     }
     //____________________ Save_cookies _____________________________
     Get_cookies = function () {
       parametres = {
-        typeSave: jQuery.cookie('picture_deriv'),
+        pictureDeriv: jQuery.cookie('picture_deriv'),
         pictureMap: jQuery.cookie('picture_map'),
         imgSrc: jQuery.cookie('imgSrc'),
@@ -116,5 +124,5 @@
     //====================================
     set_cl = function (Valid) {
-      if (typeof Valid == "undefined") Valid = options.useMap.match(RegExp("Autosize", "gi")) || false;
+      if (typeof Valid == "undefined") Valid = options.select_map.match(RegExp("Autosize", "gi")) || false;
       if (typeof options.cl_visible == "undefined") return;
       if (typeof src1 == "undefined") return;
@@ -131,5 +139,11 @@
       }
 
-      if ((typeof Zone_image != "undefined") && typeof Zone_image.image != "undefined" && Valid) {
+      if (!Valid) {
+        Zone_image.image.height = Zone_image.image_init.height;
+        Zone_image.image.width = Zone_image.image_init.width;
+        src = src6;
+      }
+      if ((typeof Zone_image != "undefined") && typeof Zone_image.image != "undefined") {
+
         Zone_image.zoom = (Zone_image.image.height / Zone_image.image_init.height);
         zoom_cl = parseInt(100 * Zone_image.zoom);
@@ -161,10 +175,12 @@
           color_back = jQuery('body').css("color");
         jQuery('#bp_cla span').css({ color: color_back, aling: "center" });
-        jQuery('#auto_details').text(" (" + Zone_image.image.width + " x " + Zone_image.image.height + ")");
-
+        if (options.src_deriv) {
+          jQuery('.auto_details').text(" (" + Zone_image.image.width + " x " + Zone_image.image.height + ") " + options.src_deriv);
+        }
         //===============================================
       } else {
         src = src6;
-        jQuery('#auto_details').text("");
+        jQuery('.auto_details').text("");
+
       }
       bp_scr = jQuery('#bp_img_cla');
@@ -195,5 +211,8 @@
         return;
       }
-      nom_map = theImg.useMap.replace("#", "");
+      if (theImg)
+        nom_map = theImg.useMap.replace("#", "");
+      else
+        nom_map = "Autosize";
       maps = jQuery("map[name='" + nom_map + "']");
       if (maps.length == 0) return;
@@ -228,4 +247,6 @@
     jQuery(window).load(function () {
       href = location.href;
+      options.old_theme = options.theme;
+
       var aff_ok = false;
       if (DEBUG_autosize == "true") {
@@ -275,15 +296,44 @@
       infos_imageInfos = jQuery(imageInfos_id).infos(true);             // information
       infos_theMainImage = jQuery(theMainImage_id).infos(true);         // Image 
-      if (infos_theMainImage.visible == false) {
-
-      }
+
       jQuery("#loading").show(0);
 
       if (options.check_desc_v) {
+        info_comments = jQuery("#comments").infos(true);
         infos_Licence = jQuery(".licencetag").infos(true);
         infos_imageComment = jQuery(imageComment_id).infos(true);
-        h01 = (infos_Licence.general.height);
-        h02 = (infos_imageComment.general.height);
-        options.marge_basse += Math.max(h01, h02);
+        h01 = info_comments.top - infos_theMainImage.bottom;
+      h02 = infos_imageComment.general.bottom - infos_theMainImage.bottom; 
+        delta_h = infos_imageInfos.bottom - infos_imageInfos.top;
+        if (options.theme.match(RegExp("blanc", "gi")) || options.theme.match(RegExp("pure", "gi")) 
+         || options.theme.match(RegExp("hr_", "gi")))  {
+    
+          h01 = infos_Licence.general.bottom-infos_theMainImage.bottom;
+          options.marge_basse += h01;
+          options.marge_gauche += 10;
+          options.marge_droite += 10;
+
+        } else {
+
+          if (options.theme != "simple")
+            if (delta_h > 5 && (infos_imageInfos.top > infos_theMainImage.bottom)) {
+              if (infos_imageComment.visible) {
+               
+              }
+            }
+
+
+          h01 = infos_Licence.general.bottom - infos_theMainImage.bottom;
+          h02 = infos_imageComment.general.bottom - infos_theMainImage.bottom;
+
+          if (Type_Img == "pamoorama") {
+            h01 = infos_Licence.general.bottom - infos_theMainImage.bottom;
+           
+            ;
+            options.marge_basse += (h01);
+          } else
+            options.marge_basse += Math.max(h01, h01);
+
+        }
       }
 
@@ -303,9 +353,15 @@
         container: {
           width: infos_theImage.general.width,
-          height: infos_window.height - (infos_theImage.top)
-        }
-      }
+          height: infos_window.height - (infos_theImage.top),
+          margesWidth: infos_window.width - infos_theImage.width + (options.marge_droite + options.marge_gauche)
+        }
+      }
+
+
       if (Type_Img == "pamoorama") {
         jQuery(theMainImage_id).width(Zone_image.container.width);
+        jQuery(theMainImage_id).height(Zone_image.container.height);
+        jQuery(theImage_id).width(Zone_image.container.width);
+        jQuery(theImage_id).height(Zone_image.container.height);
       }
 
@@ -314,18 +370,49 @@
       ***********************************************************/
       jQuery(window).resize(function (event, ui) {
+        infos_window = jQuery(window).infos();
+        infos_imageInfos = jQuery("#imageInfos").infos(true);
+        old_w = infos_theImage.width;
         infos_theImage = jQuery(theImage_id).infos(true);
-        infos_window = jQuery(window).infos();
+        if (options.set_sw) {
+          if (Type_Img == "pamoorama") {
+            if (options.set_sw == "menuSwitcher") {
+
+            } else {
+              p_width = jQuery(theImage_id).width();
+            }
+            if (infos_imageInfos.visible)
+              p_width = infos_window.width - infos_theImage.left - infos_imageInfos.width - 20;
+            else
+              p_width = infos_window.width - infos_theImage.left - 20;
+            jQuery(theImage_id).width(p_width);
+            infos_theImage = jQuery(theImage_id).infos(true);
+
+
+          }
+        }
+        if ((old_w - infos_theImage.width) != 0) {
+          Zone_image.container.width = infos_theImage.width;
+        }
+
+
         infos_body = jQuery("body").infos();
         infos_content = jQuery(content_id).infos();
 
+
+        // imageInfos
+
+
+
         infos_theImageAndInfos = jQuery(theImageAndInfos_id).infos();  // Cadre general 
-        Zone_image.container = { height: infos_window.height - (infos_theImage.top),
-          width: infos_theImage.width
+        //=============================================================
+
+        Zone_image.container = {
+          height: infos_window.height - (infos_theImage.top),
+          width: Zone_image.container.width,
+          margesWidth: infos_window.width - infos_theImage.width
         };
 
         if (options.theme.match(RegExp("simple", "gi"))) {
           jQuery(theMainImage_id).css({ maxWidth: "none" });
-          Zone_image.container.height = infos_window.height - infos_theImage.top - infos_content.general.marges.height - (infos_theImage.general.marges.height);
-          //jQuery("#menubar").css("margin-right", "0");
           infos_menubar = jQuery("#menubar").infos(true);
           if (infos_menubar.visible == true) {
@@ -335,8 +422,9 @@
 
         jQuery(theImage_id).height(Zone_image.container.height + 2);
+
+        if (DEBUG_autosize == "no") return;
+
+        Autosize_resize(true, options);
         jQuery("#loading").hide(fade_in);
-        if (DEBUG_autosize == "no") return;
-        Autosize_resize(true, options);
-
       });
       //_____________ widow.resize _______________
@@ -352,10 +440,10 @@
       infos_llgboh2 = jQuery("#llgboh2").infos();
       marges_llgbo = 0;
-      //==========================================================================================
-      jQuery("#loading").show(0);
-      if (DEBUG_autosize != "no")
-        init_gen();
+      //========================================================================================== 
+
+      init_gen();
       jQuery(window).resize();
       jQuery(window).resize();
+
     });
     //__________________window.onload_________________
@@ -370,11 +458,9 @@
         if (typeof theMainImage_id != "undefined") {
           infos_window = jQuery(window).infos(true);
-          infos_theImage = jQuery("#" + infos_theImage.id).infos(true);
-          infos_theMainImage = jQuery("#" + theMainImage.id).infos(true);
-          useMap = options.useMap;
-
+          infos_theImage = jQuery(theImage_id).infos(true);
+          infos_theMainImage = jQuery(theMainImage_id).infos(true);
           Save_cookies({
             pictureMap: cookies.pictureMap,
-            typeSave: cookies.typeSave,
+            pictureDeriv: cookies.pictureDeriv,
             windowHeight: infos_window.height,
             windowWidth: infos_window.width,
@@ -408,5 +494,4 @@
     options = jQuery.extend(Autosize_options, options);
     var defaults = {
-      useMap: '#Autosize',
       imageAutosizeMargin: 0,
       imageAutosize: false,
@@ -417,6 +502,5 @@
     options = jQuery.extend(defaults, options);
 
-    options.liste_type = options.liste_type.split("|");
-    options.liste_type.pop();
+
     for (i = 0; i < options.liste_type.length; i++) {
       options.liste_type[i] = options.liste_type[i].split(",");
@@ -447,5 +531,6 @@
     //===================
     var cookies = Get_cookies();
-    var Zone_image;
+
+
     var theMainImage_id = "#theMainImage";
     var theImage_id = "#theImage";
@@ -459,8 +544,8 @@
     var llgbo_id = "#llgbo0";
     var marges_llgbo = 0;
-    var type_size = cookies.typeSave; // xxx
+    var pictureDeriv = cookies.pictureDeriv; // xxx
     var useMap = cookies.pictureMap; // #mapxxx
     var user_status = options.user_status;
-    var type_size_maxi = eval("options." + user_status + "_type"); //limite taille
+    var pictureDeriv_maxi = eval("options." + user_status + "_type"); //limite taille
 
 
@@ -471,13 +556,23 @@
     //=============================================================
     jQuery("#theMainImage," + theMainImage_id + ",.preload, .next1 , ").load(function (e) {
-      if (this.complete) {
-        jQuery("#loading").hide(1000);
-      }
-      //_________ theMainImage  ___________
+      jQuery("#loading").hide(1000);
+      jQuery(this).removeAttr("width");
+      jQuery(this).removeAttr("height");
+      jQuery(this).css({ height: "", width: "" });
 
       if (typeof theMainImage_id != "undefined")
-        if (init_img(this))
+        if (!init_img(this)) {
           nu_img = 0;
-    });
+        }
+
+      jQuery('#derivativeSwitchBox .switchCheck').css('visibility', 'hidden');
+      jQuery('#derivativeChecked' + options.pictureDeriv).css('visibility', 'visible');
+
+      jQuery(window).resize();
+
+
+
+    });
+    //_________ theMainImage  ___________
 
 
@@ -485,13 +580,6 @@
       location.reload();
     });
+
     var mouseLocation = new Point(-500, -500);
-    //========================================================
-    jQuery("#pamoorama").live("on", function (e) {
-      myPamoorama = window.myPamoorama;
-    });
-    jQuery("#pamoorama_inner").live("on", function (e) {
-      myPamoorama = window.myPamoorama;
-    });
-
     function Point(x, y) {
       this.x = x; this.y = y;
@@ -554,6 +642,11 @@
     //==========================================================
     jQuery("map area").mouseover(function (e) {
-      nok = theImg.useMap;
-      hok = this;
+      try {
+        nok = theImg.useMap;
+        hok = this;
+      }
+      catch (r) {
+
+      }
     });
 
@@ -623,9 +716,241 @@
 
 
+
+    // Custom Event, ON to turn on a debug.
+    jQuery('.debug').live('ON', function (e) {
+
+      nu_img = jQuery(this).text();
+      jQuery('.debug').trigger('OFF');
+      jQuery(this).addClass('debugOn');
+
+    });
+
+    // On Click = debugs On
+    jQuery('.debug').live('click', function (e) {
+      i = jQuery(this).text();
+      jQuery(this).trigger('ON');
+    });
+
+    // Custom Event, Turn off a debug
+    jQuery('.debug').live('OFF', function (e) {
+      jQuery(this).removeClass('debugOn');
+    });
+
+    // on Double Click, remove the debug from the DOM
+    jQuery('.debug').live('dblclick', function () {
+      jQuery(this).fadeOut(function () { jQuery(this).remove() });
+    });
+
+    // Add another debug to the DOM
+    jQuery('#adddebugs').click(function () {
+      i = jQuery('.debug').length;
+      jQuery('<div>' + i + '</div>')
+    .addClass('debug')
+    .appendTo('#debugsContainer');
+    });
+
+
+    /*********************************
+    *
+    ********************************/
+    jQuery("#menuSwitcher,#infoSwitcher").click(function (e) {
+      options.set_sw = this.id;
+      setTimeout(function () { jQuery(window).resize() }, 10);
+      setTimeout(function () { jQuery(window).resize() }, 12);
+      nu_img = 0;
+    });
+
+
+    //===========================================
+    // jQuery("#theImageAndInfos").trigger("ON");
+    //===========================================
+    jQuery("#theImageAndInfos").live('ON', function (e) {
+      infos_theImageAndInfos = jQuery("#theImageAndInfos").infos();
+      //   setTimeout(function () { Autosize_resize(true) }, 100);
+      nu_img = 0;
+    }); // fin click #theImageAndInfos ON
+    jQuery("#theImageAndInfos").resize(function (e) {
+
+      nu_img = 0;
+    });
+
+
+    jQuery("#linkAutosize").click(function (e) {
+      nu_img = 0;
+    });
+    //==================================
+    //
+    //===================================
+    jQuery('#derivativeCheckedAutosize').click(function () {
+      try {
+        pathnames = jQuery(this).attr("href").split(":");
+
+        //  eval(pathnames[1]);
+      } catch (e) {
+        n = false;
+      }
+    }); // fin click derivativeCheckedAutosize
+    //====================================================
+    jQuery("#derivativeSwitchBox a").click(function () {
+      theImg = document.getElementById(theMainImage_id.replace("#", ""));
+      if (theImg) {
+        pathnames = jQuery(this).attr("href").split(":")[1].toString();
+        selecteur = pathnames.split(",")[2].replace("')", "").replace("'", "").replace(" ", "");
+        if (this.name) {
+          options.select_type = this.name;
+          options.pictureDeriv = this.name;
+          options.select_map = this.name;
+          pathnames = pathnames.replace(selecteur, this.name);
+        } else {
+          options.select_type = selecteur;
+          options.pictureDeriv = selecteur;
+          options.select_map = selecteur;
+        }
+        jQuery("#derivativeSwitchBox span").removeClass("auto_details linkAutosize");
+        jQuery("#derivativeSwitchBox a").removeClass("auto_details linkAutosize");
+        if (options.select_type == "Autosize" || options.select_type == "SelMaxi") {
+          spans = jQuery("#derivativeChecked" + options.select_type).next();
+          spans.addClass("linkAutosize");
+          spans.find("span").addClass("auto_details");
+          jQuery(".auto_details").text("");
+        }
+
+        try {
+          //      eval(pathnames);
+          n = true;
+        } catch (e) {
+          n = false;
+        }
+      }
+    });
+    //__________ fin click #derivativeSwitchBox a ____________
+
+    jQuery("input").click(function () {
+      if (this.name.match(RegExp("_enabled", "gi"))) {
+        sel = "[name*=" + this.name + "]";
+        obj = jQuery("tr" + sel);
+
+        if (this.checked)
+          obj.css({ backgroundColor: "green", color: "white" });
+        else
+          obj.css({ backgroundColor: "red", color: "white" });
+        return;
+      }
+      return;
+    });
+    //____________________ set_llgbo _____________________________
+
+    //====================================
+    Autosize_init = function (name, value) {
+      img_defaut = { height: options.scaled_height, width: options.scaled_width };
+      img_reelle = { height: options.img_height, width: options.img_width };
+      img_init = { height: options.img_height, width: options.img_width };  // taille initiale
+
+      img_finale = img_init;
+
+      useMap = infos_theMainImage.useMap; // #mapmedium
+
+      useMap = cookies.pictureMap; // #mapxxx
+      pictureDeriv = cookies.pictureDeriv; //picturederiv xxx
+
+
+      old_img = cookies.imgSrc;
+      old_window_height = cookies.windowHeight || jQuery(window).height();
+      old_window_width = cookies.windowWidth || jQuery(window).width();
+      old_img_h = cookies.imgHeight;
+      old_img_w = cookies.imgWidth;
+      if (infos_theMainImage.visible == true) {
+        theImg = document.getElementById(theMainImage_id.replace("#", ""));
+        theImg.useMap = useMap;
+      }
+      fade_in = parseInt(options.fade_in || 0);
+
+    }
+    //____________________ Autosize_init _____________________
+
+    /***************************
+    * Autosize_resize
+    ***************************/
+    Autosize_resize = function (force, parametres) {
+      if (Get_dimensions(force, parametres)) {
+        jQuery(theImageAndInfos_id).css({ height: "auto" });
+        if (Type_Img == "pamoorama") {
+          Set_Pamoorama({ width: Zone_image.container.width, height: Zone_image.image.height });
+          if (nopano)
+            if (window.myPamoorama.options.autoscrollOnLoad) {
+              window.myPamoorama.startAnimRight();
+            }
+        } else {
+
+          jQuery(theMainImage_id).height(Zone_image.image.height);
+          jQuery(theMainImage_id).width(Zone_image.image.width);
+        }
+
+
+        set_cl(true);
+      } else {
+        jQuery(theImage_id).height(Zone_image.image.height + Zone_image.marges.height);
+        Set_Pamoorama({ width: Zone_image.container.width, height: Zone_image.image.height });
+        set_cl(false);
+
+      }
+
+
+      Set_llbgo(true);
+      return true;
+    };
+    //_________________Autosize ____________________________________   
+
+    /*****************
+    * changeImgSrc 
+    ******************/
+    changeImgSrc = function (url, typeSave, typeMap) {
+      theImg = document.getElementById(theMainImage_id.replace("#", ""));
+      if (theImg.src) {
+        theImg.removeAttribute("width");
+        theImg.removeAttribute("height");
+        // jQuery(theMainImage_id).eq(0).removeAttr("style");
+        jQuery('#derivativeSwitchBox .switchCheck').css('visibility', 'hidden');
+        jQuery('#derivativeChecked' + typeSave).css('visibility', 'visible');
+        pictureMap = "#map" + typeMap;
+        theImg.useMap = pictureMap;
+        src = jQuery(theImg).css("backgroundImage");
+        if (theImg.src)
+          if (theImg.src.match(RegExp(url, "gi"))) {
+            jQuery("#loading").hide(0);
+          } else {
+            jQuery("#loading").show(0);
+          } else {
+          jQuery("#loading").hide(0);
+        }
+        Zone_image.src = theImg.src;
+        theImg.src = url; // charge Image       
+        //===================================================
+        options.pictureDeriv = typeSave;
+        options.pictureMap = typeMap;
+        Save_cookies({
+          pictureDeriv: typeSave,
+          pictureMap: pictureMap,
+          imgSrc: url
+        });
+        cookies = Get_cookies();
+      }
+    }
+    //__________________ changeImgSrc ______________________
+
+    /*****************************
+    *      pamoorama
+    ******************************/
+
+    jQuery("#pamoorama").bind("on", function () { alert($(this).text()); });
+    jQuery("#pamoorama").bind("on", function (e) {
+      myPamoorama = window.myPamoorama;
+    });
+    jQuery("#pamoorama_inner").live("on", function (e) {
+      myPamoorama = window.myPamoorama;
+    });
     jQuery('#pamoorama').live('ON', function (e) {
       jQuery(jQuery('.debug').get(1)).trigger('ON');
-      if (typeof Bandeau_bas == "undefined" || Bandeau_bas.width == 0) {
-
-      }
+      jQuery(window).resize();
     });
 
@@ -635,6 +960,4 @@
     jQuery("#theImage").live('Start_right', function (e) {
       if (typeof Zone_image == "undefined") return
-      if (nu_img == "") nu_img = 7;
-      jQuery(jQuery('.debug').get(nu_img)).trigger('ON');
       test_w = window.myPamoorama.autoSlideFx.to;
       test_w = window.myPamoorama.autoScrollFx.to;
@@ -646,7 +969,4 @@
       nw = (200 * Zone_image.container.width) / window.myPamoorama.imageWidth;
       jQuery("#pamoorama_frame").width(nw);
-
-
-
     });
     //===============================================
@@ -664,255 +984,13 @@
     });
 
-    // Custom Event, ON to turn on a debug.
-    jQuery('.debug').live('ON', function (e) {
-
-      nu_img = jQuery(this).text();
-      jQuery('.debug').trigger('OFF');
-      jQuery(this).addClass('debugOn');
-
-    });
-
-    // On Click = debugs On
-    jQuery('.debug').live('click', function (e) {
-      i = jQuery(this).text();
-      jQuery(this).trigger('ON');
-    });
-
-    // Custom Event, Turn off a debug
-    jQuery('.debug').live('OFF', function (e) {
-      jQuery(this).removeClass('debugOn');
-    });
-
-    // on Double Click, remove the debug from the DOM
-    jQuery('.debug').live('dblclick', function () {
-      jQuery(this).fadeOut(function () { jQuery(this).remove() });
-    });
-
-    // Add another debug to the DOM
-    jQuery('#adddebugs').click(function () {
-      i = jQuery('.debug').length;
-      jQuery('<div>' + i + '</div>')
-          .addClass('debug')
-          .appendTo('#debugsContainer');
-    });
-
-
-    /*********************************
-    *
-    ********************************/
-    jQuery("#menuSwitcher,#infoSwitcher").click(function (e) {
-
-      setTimeout(function () { jQuery(window).resize() }, 10);
-      setTimeout(function () { jQuery(window).resize() }, 12);
-      nu_img = 0;
-    });
-
-
-    //===========================================
-    // jQuery("#theImageAndInfos").trigger("ON");
-    //===========================================
-    jQuery("#theImageAndInfos").live('ON', function (e) {
-      infos_theImageAndInfos = jQuery("#theImageAndInfos").infos();
-      //   setTimeout(function () { Autosize_resize(true) }, 100);
-      nu_img = 0;
-    }); // fin click #theImageAndInfos ON
-    jQuery("#theImageAndInfos").resize(function (e) {
-
-      nu_img = 0;
-    });
-
-
-    jQuery("#linkAutosize").click(function (e) {
-      nu_img = 0;
-    });
-    //==================================
-    //
-    //===================================
-    jQuery('#derivativeCheckedAutosize').click(function () {
-      pathnames = jQuery(this).attr("href").split(":");
-      try {
-        eval(pathnames[1]);
-      } catch (e) {
-        n = false;
-      }
-    }); // fin click derivativeCheckedAutosize
-    //====================================================
-    jQuery("#derivativeSwitchBox a").click(function () {
-      theImg = document.getElementById(theMainImage_id.replace("#", ""));
-      if (theImg) {
-        pathnames = jQuery(this).attr("href").split(":");
-
-        try {
-          eval(pathnames[1]);
-          n = true;
-        } catch (e) {
-          n = false;
-        }
-
-        infos_theMainImage = jQuery(theMainImage_id).infos();
-
-        theImg.removeAttribute("width");
-        theImg.removeAttribute("height");
-
-        var nw = "100% x 100%".split("x");
-        if (jQuery(this).text().match(RegExp("x", "gi"))) {
-          nw = jQuery(this).text().split("(")[1].split(")")[0];
-          nw = nw.split("x");
-          init_img(theImg);
-          wx = parseInt(nw[0]);
-          wh = parseInt(wx / Zone_image.image_init.rapport);
-
-          jQuery(theImg).width(wx);
-          jQuery(theImg).height(wh);
-          set_cl(useMap == "#Autosize");
-          Set_llbgo();
-        }
-
-      }
-
-    });  // fin click #derivativeSwitchBox a
-
-    jQuery("input").click(function () {
-      if (this.name.match(RegExp("_enabled", "gi"))) {
-        sel = "[name*=" + this.name + "]";
-        obj = jQuery("tr" + sel);
-
-        if (this.checked)
-          obj.css({ backgroundColor: "green", color: "white" });
-        else
-          obj.css({ backgroundColor: "red", color: "white" });
-
-        return;
-      }
-
-
-
-      return;
-
-
-
-
-    });
-    //____________________ set_llgbo _____________________________
-
-    //====================================
-    Autosize_init = function (name, value) {
-      img_defaut = { height: options.scaled_height, width: options.scaled_width };
-      img_reelle = { height: options.img_height, width: options.img_width };
-      img_init = { height: options.img_height, width: options.img_width };  // taille initiale
-
-      img_finale = img_init;
-
-      useMap = infos_theMainImage.useMap; // #mapmedium
-
-      useMap = cookies.pictureMap; // #mapxxx
-      typeSave = cookies.typeSave; //picturederiv xxx
-
-
-      old_img = cookies.imgSrc;
-      old_window_height = cookies.windowHeight || jQuery(window).height();
-      old_window_width = cookies.windowWidth || jQuery(window).width();
-      old_img_h = cookies.imgHeight;
-      old_img_w = cookies.imgWidth;
-      if (infos_theMainImage.visible == true) {
-        theImg = document.getElementById(theMainImage_id.replace("#", ""));
-        theImg.useMap = useMap;
-      }
-      fade_in = parseInt(options.fade_in || 0);
-
-    }
-    //____________________ Autosize_init _____________________
-
-    /***************************
-    * Autosize_resize
-    ***************************/
-    Autosize_resize = function (force, parametres) {
-      theImg = document.getElementById(theMainImage_id.replace("#", ""));
-      if (theImg) {
-        theImg.removeAttribute("width");
-        theImg.removeAttribute("height");
-      }
-      if (Get_dimensions(force, parametres)) {
-
-        jQuery(theImageAndInfos_id).css({ height: "auto" });
-        if (Type_Img == "pamoorama") {
-          Set_Pamoorama({ width: Zone_image.container.width - 5, height: Zone_image.image.height });
-          if (nopano)
-            if (window.myPamoorama.options.autoscrollOnLoad) {
-              window.myPamoorama.startAnimRight();
-            }
-        } else {
-
-          jQuery(theMainImage_id).height(Zone_image.image.height);
-          jQuery(theMainImage_id).width(Zone_image.image.width);
-        }
-
-
-        set_cl(true);
-      } else {
-
-        Set_Pamoorama({ width: Zone_image.container.width, height: Zone_image.image.height });
-        set_cl(false);
-      }
-
-
-      Set_llbgo(true);
-      return true;
-    };
-    //_________________Autosize ____________________________________   
-
-
-
-
-
-
-
-
-
-    /*****************
-    * changeImgSrc 
-    ******************/
-    changeImgSrc = function (url, typeSave, useMap) {
-      theImg = document.getElementById(theMainImage_id.replace("#", ""));
-      if (theImg) {
-        theImg.removeAttribute("width");
-        theImg.removeAttribute("height");
-        //  theImg.useMap = "#map" + useMap;
-        jQuery('#derivativeSwitchBox .switchCheck').css('visibility', 'hidden');
-        jQuery('#derivativeChecked' + useMap.replace("#", "")).css('visibility', 'visible');
-        options.useMap = useMap;
-        if (useMap.match("Autosize")) {
-          pictureMap = "#" + "Autosize";
-        } else {
-          pictureMap = "#map" + typeSave;
-        }
-        theImg.useMap = pictureMap;
-        if (theImg.src.match(RegExp(url, "gi"))) {
-          jQuery("#loading").hide(0);
-        } else {
-          jQuery("#loading").show(0);
-        }
-        theImg.src = url; // charge Image       
-        //===================================================
-        Save_cookies({
-          typeSave: typeSave,
-          pictureMap: pictureMap,
-          imgSrc: url
-        });
-        cookies = Get_cookies();
-      }
-    }
-    //__________________ changeImgSrc ______________________
-
     /************************************
-    *
+    * Wait_pamoorama
     ************************************/
     Wait_pamoorama = function () {
       if (Type_Img != "pamoorama") return;
-
-      // jQuery("#loading").attr("id", "theMainImage");
       tempo = 0;
-
       Wait_pamoorama_st = false;
+
+
       while (Wait_pamoorama_st == false) {
         Wait_pamoorama_st = Wait_pamoorama_time();
@@ -920,16 +998,11 @@
       }
       tempo = 0;
-
-      Wait_pamoorama_st = false;
-      while (Wait_pamoorama_st == false) {
-        Wait_pamoorama_st = Wait_pamoorama_time();
-        jQuery.noop()
-      }
-
-      if (nopano)
+      if (nopano) {
         if (window.myPamoorama.options.autoscrollOnLoad) {
           window.myPamoorama.startAnimRight();
-          jQuery.noop()
-        }
+          jQuery.noop();
+        }
+
+      }
 
     }
@@ -937,14 +1010,11 @@
 
     Wait_pamoorama_time = function () {
-
+      if (nopano == true) return true;
       if (jQuery("#pamoorama").length) {
         tempo = tempo + 1;
-
+        jQuery("#loading").show(1000);
         mypanorama = window.myPamoorama;
         if (!mypanorama) {
-          jQuery("#loading").show(5000);
-          tempo = tempo + 1;
-          if (tempo > 5000) return true;
-          nopano = false;
+          if (tempo > 500) return true;
           setTimeout("Wait_pamoorama_time()", 500);
           return false;
